List all virtual accounts
curl --request GET \
--url https://production.hifibridge.com/v2/users/{userId}/virtual-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/users/{userId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"data": [
{
"id": "cfbc005d-8640-57a4-89e1-539c974fa780",
"createdAt": "2025-09-27T03:08:11.548Z",
"updatedAt": "2025-09-27T03:08:11.548Z",
"userId": "840c28f2-ea7d-5c3a-9271-b10fd8b6ae6d",
"source": {
"paymentRail": [
"ach",
"wire",
"rtp"
],
"currency": "usd"
},
"destination": {
"chain": "POLYGON",
"currency": "usdc",
"walletAddress": "0xd102C4130985B7fcB95697616eaf5542c4f98d49",
"externalWalletId": null
},
"status": "activated",
"depositInstructions": {
"bankName": "Bank of NoWhere",
"bankAddress": "123 Main St, New York, NY 10001, USA",
"beneficiary": {
"name": "Henry Wu",
"address": "Example St 1., Apt 123, New York, NY, 10010, US"
},
"ach": {
"routingNumber": "028000024",
"accountNumber": "123456789"
},
"wire": {
"routingNumber": "021000021",
"accountNumber": "123456789"
},
"rtp": {
"routingNumber": "021000021",
"accountNumber": "123456789"
},
"instruction": "Please deposit usd to the bank account provided. Please ensure that the beneficiary name matches the account holder name provided, or the payment may be rejected."
},
"settlementRuleId": null
}
],
"nextCursor": "2025-09-27T03:08:11.548Z"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Virtual Accounts
List all virtual accounts
List all virtual accounts associated with a user under your organization.
GET
/
v2
/
users
/
{userId}
/
virtual-accounts
List all virtual accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the user
Query Parameters
Source currency
Available options:
usd Destination currency
Available options:
usdc, usdt Destination chain
Available options:
POLYGON default to 10, maximum to 100
ISO format: YYYY-MM-DD
ISO format: YYYY-MM-DD
⌘I